Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.generator
Class CodeGeneratorFactory

    java.lang.Object
      |
      +--xcodegen.generator.CodeGeneratorFactory

public class CodeGeneratorFactory
extends java.lang.Object

Factory of code generators.

This factory creates following code generators:

- `DTOCodeGenerator`
- `DAOCodeGenerator`

Version:
  $Revision: 1.2 $
Author:
  Herve Tchepannou

Method Summary
`CodeGenerator` | `getDAOCodeGenerator()` Return the DAO code generator
`CodeGenerator` | `getDDLCodeGenerator()` Return the DDL code generator
`CodeGenerator` | `getDTOCodeGenerator()` Return the DTO code generator
`static CodeGeneratorFactory` | `getInstance()` Return an instance of the CodeGeneratorFactory
`CodeGenerator` | `getStrutsCodeGenerator()` Return the Struts code generator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static CodeGeneratorFactory getInstance()

  Return an instance of the CodeGeneratorFactory

  Returns:
    a CodeGeneratorFactory with ...

### getDTOCodeGenerator

    public CodeGenerator getDTOCodeGenerator()

  Return the DTO code generator

  Returns:
    Code generator

### getDAOCodeGenerator

    public CodeGenerator getDAOCodeGenerator()

  Return the DAO code generator

  Returns:
    Code generator

### getDDLCodeGenerator

    public CodeGenerator getDDLCodeGenerator()

  Return the DDL code generator

  Returns:
    Code generator

### getStrutsCodeGenerator

    public CodeGenerator getStrutsCodeGenerator()

  Return the Struts code generator

  Returns:
    Code generator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD